package cn.net.caoyao.cpzshandset.service.presenter.base.impl;

import android.content.Context;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;

public abstract class SingleLabelScannerConstactImpl implements SingleLabelScannerConstact.Presenter {
	private final SingleLabelScannerConstact.View sView;

	public SingleLabelScannerConstactImpl(SingleLabelScannerConstact.View sView, Context context) {
		this.sView = sView;
	}

	@Override
	public void scannerSuccess(String scannerContentStr) {
		if (sView == null)
			return;
		sView.vibrate(100);
	}
}
